2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/main/org.kde.digikam.appdata.xml,
	core/showfoto/main/org.kde.showfoto.appdata.xml: prepare 7.5.0

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: prepare 7.5.0

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-15  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/itemview/itemviewdelegate.cpp,
	core/utilities/lighttable/lighttablethumbbar.cpp,
	core/utilities/lighttable/lighttablewindow_setup.cpp: Use arrow left
	and right icon from Breeze theme Reduce transparency Apply a gray
	background under icon to improve contrast. BUGS: 448500 FIXED-IN:
	7.5.0

2022-01-14  Nor Eply <joergmlpts@gmail.com>

	* core/dplugins/generic/webservices/inaturalist/inattaxon.cpp: fix
	for assertion failure for taxon 'Pelophylax esculentus'

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/mainview/dxmlguiwindow_fullscreen.cpp: add
	process events before to close window CCBUGS: 414117

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/dimg/png/dimgpngloader_load.cpp,
	core/dplugins/dimg/png/dimgpngloader_save.cpp,
	core/dplugins/dimg/png/dimgpngplugin.cpp: Reduce error messages from
	libpng BUGS: 386396 FIXED_IN: 7.5.0

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/mainview/dxmlguiwindow.cpp,
	core/libs/widgets/mainview/dxmlguiwindow.h,
	core/libs/widgets/mainview/dxmlguiwindow_fullscreen.cpp,
	core/utilities/imageeditor/editor/editorwindow.cpp,
	core/utilities/import/main/importui.cpp,
	core/utilities/lighttable/lighttablewindow_setup.cpp,
	core/utilities/queuemanager/main/queuemgrwindow.cpp: Perform same
	tests about fullscreen mode when close slot close() than
	closeEvent(). Code is now factored. A new slotClose() must be called
	instead close(). CCBUGS: 414117

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/CMakeLists.txt,
	project/bundles/3rdparty/ext_qtav/qtav-master.patch: git master now
	fix the problem

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/mainview/dxmlguiwindow_fullscreen.cpp,
	core/libs/widgets/mainview/dxmlguiwindow_p.h: First try to work
	around Qt bug https://bugreports.qt.io/browse/QTBUG-52450 CCBUGS:
	414117

2022-01-14  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2022-01-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/CMakeLists.txt,
	core/libs/widgets/mainview/dxmlguiwindow.cpp,
	core/libs/widgets/mainview/dxmlguiwindow_actions.cpp,
	core/libs/widgets/mainview/dxmlguiwindow_fullscreen.cpp,
	core/libs/widgets/mainview/dxmlguiwindow_p.h,
	core/libs/widgets/mainview/dxmlguiwindow_toolbar.cpp: separate class
	by features

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh: optimize debug symbols
	again in bundles

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/04-build-appimage.sh,
	project/bundles/macports/04-build-installer.sh,
	project/bundles/mxe/04-build-installer.sh: do not store debug
	symbols from Exiv2 in the bundles

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS, core/app/views/stack/welcomepageview.cpp,
	core/libs/threadimageio/engine/dservicemenu_mac.mm: krazy++

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/layout/sidebar.cpp: fix sidebar button behavior
	BUGS: 376617 FIXED-IN: 7.5.0

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: 7.5.0 planed at 16 01 2022

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/main/digikamapp.cpp: Fix i18np args verified with krazy
	CCBUGS: 376438

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/utilities/geolocation/geoiface/correlator/gpscorrelatorwidget.
	cpp: Fix i18np args verified with krazy CCBUGS: 376438

2022-01-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/facemanagement/items/facegroup.cpp,
	core/utilities/facemanagement/items/facegroup_p.cpp,
	core/utilities/facemanagement/items/facegroup_p.h: remove test code
	for the next version

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/views/stack/welcomepageview.cpp: update new features for
	7.5.0 release

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/01-build-host.sh,
	project/bundles/appimage/04-build-appimage.sh,
	project/bundles/appimage/icon-rcc/CMakeLists.txt,
	project/bundles/appimage/icon-rcc/qrcAlias.cpp: AppImage: use same
	rules thanfor MacOS to bundle breeze icons as resource CCBUGS:
	448172

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_kf5_frameworks/CMakeLists.txt,
	project/bundles/3rdparty/ext_kf5_frameworks/{breeze-icons-drop-svg.
	patch => breeze-dropsvg-rccprefix.patch}: Apply patch to breeze
	about rcc prefix for AppImage and MacOS CCBUGS: 448172

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh,
	project/bundles/mxe/icon-rcc/breeze-mxe-linux.patch: MXE: Add prefix
	to RCC file while embeding icons resource CCBUGS: 448172

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_kf5_frameworks/CMakeLists.txt,
	project/bundles/macports/04-build-installer.sh,
	project/bundles/macports/icon-rcc/CMakeLists.txt,
	project/bundles/macports/icon-rcc/qrcAlias.cpp: Smae than MXE, use
	breeze-icons KF5 comonent to compile RCC container for MacOS bundle
	CCBUGS: 448172

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/01-build-mxe.sh,
	project/bundles/mxe/04-build-installer.sh,
	project/bundles/mxe/icon-rcc/CMakeLists.txt,
	project/bundles/mxe/icon-rcc/breeze-mxe-linux.patch: Fix build of
	native breeze icons set for MXE. CCBUGS: 448172

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/icon-rcc/CMakeLists.txt,
	project/bundles/mxe/icon-rcc/breeze-mxe-linux.patch,
	project/bundles/mxe/icon-rcc/qrcAlias.cpp: RCC breeze icons sets are
	now based on KF5 native build of framework due to non compatibility
	with cross-compiling. CCBUGS: 448172

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-12  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_kf5_frameworks/CMakeLists.txt,
	project/bundles/3rdparty/ext_libksane/CMakeLists.txt,
	project/bundles/3rdparty/ext_marble/CMakeLists.txt,
	project/bundles/appimage/01-build-host.sh,
	project/bundles/appimage/02-build-extralibs.sh,
	project/bundles/appimage/03-build-digikam.sh,
	project/bundles/appimage/config.sh,
	project/bundles/macports/01-build-macports.sh,
	project/bundles/macports/02-build-extralibs.sh,
	project/bundles/macports/03-build-digikam.sh,
	project/bundles/macports/config.sh,
	project/bundles/mxe/01-build-mxe.sh,
	project/bundles/mxe/02-build-extralibs.sh,
	project/bundles/mxe/03-build-digikam.sh,
	project/bundles/mxe/config.sh: factorize KF5 framework and KDE
	application version in config files

2022-01-11  Maik Qualmann <metzpinguin@gmail.com>

	* project/bundles/mxe/04-build-installer.sh: fix brezze typo

2022-01-11  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/server/databaseserver.cpp: check for new
	MariaDB message in the error log to upgrade CCBUGS: 447873

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/properties/geolocation/itempropertiesgpstab.cpp: polish


2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/properties/geolocation/itempropertiesgpstab.cpp: Best
	solution to hide geolocation map from Right sidebar if no GPS info
	is available CCBUGS: 234078

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/04-build-appimage.sh: Fix rcc file name
	to copy in the bundle CCBUGS: 448172

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/macports/04-build-installer.sh,
	project/bundles/macports/installer/digikam.pkgproj: fix rcc file
	name to copy in the bundle CCBUGS: 448172

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/04-build-installer.sh: fix rcc file name to
	copy in bundle CCBUGS: 448172

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/icon-rcc/CMakeLists.txt,
	project/bundles/appimage/icon-rcc/{main.cpp => qrcAlias.cpp}: Update
	code and rules to compile qrc alias binary under Linux Mageia7 for
	AppImage. CCBUGS: 448172

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/macports/icon-rcc/CMakeLists.txt,
	project/bundles/macports/icon-rcc/{main.cpp => qrcAlias.cpp}: Update
	code and rules to compile qrc alias binary under Macports for MacOS.


2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/mxe/icon-rcc/CMakeLists.txt,
	project/bundles/mxe/icon-rcc/{main.cpp => qrcAlias.cpp}: Update code
	and rules to compile qrc alias binary under MXE for Windows. CCBUGS:
	448172

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dtrash/dtrash.cpp, core/libs/dtrash/dtrashitemmodel.cpp: 
	Add comment

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/views/stack/trashview.cpp,
	core/app/views/stack/trashview.h, core/libs/dtrash/dtrash.cpp,
	core/libs/dtrash/dtrashitemmodel.cpp,
	core/libs/dtrash/dtrashitemmodel.h: use enum for dtrash colums

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dtrash/dtrash.cpp: DTrash : do not store deletion date
	in locale dependant format. Always use ISO format

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/properties/geolocation/itempropertiesgpstab.cpp: center
	map to 0.0 coordiantes if no GPIS innfo is available BUGS: 234078
	FIXED-IN: 7.5.0

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/itemview/ditemtooltip.cpp: fix LTR (point #2)
	BUGS: 376438 FIXED-IN: 7.5.0

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/widgets/itemview/ditemtooltip.cpp: add link to doc

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/properties/itempropertiestab.cpp,
	core/libs/properties/itempropertiestxtlabel.cpp,
	core/utilities/searchwindow/choicesearchutilities.cpp,
	core/utilities/searchwindow/searchtabheader.cpp: fix LTR (point #3)
	CCBUGS: 376438

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/qtav-rules-macos.patch.cmake.in: 
	polish

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/qtav-rules-macos.patch.cmake.in: 
	polish

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/qtav-rules-macos.patch.cmake.in: 
	polish

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/widgets/mainview/dxmlguiwindow.cpp: Revert "only set
	theme search path here"

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/widgets/mainview/dxmlguiwindow.cpp: only set theme
	search path here

2022-01-09  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/main/digikamapp.cpp, core/app/main/main.cpp,
	core/showfoto/main/main.cpp: move set icon theme back to main.cpp

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/CMakeLists.txt: polish

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/CMakeLists.txt: polish

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/CMakeLists.txt: fix rules for
	windows build

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/CMakeLists.txt,
	project/bundles/3rdparty/ext_qtav/qtav-master.patch: Add patch to
	compile qtav master code core optimize MAcOS compilation factorize
	cmake options

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* project/scripts/bootstrap-qtav.sh: new options for QtAV

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dialogs/dsplashscreen.cpp,
	core/libs/dialogs/dsplashscreen.h: fix LTR (point #4) CCBUGS: 376438


2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/views/stack/welcomepageview.cpp,
	core/data/about/main.html: Fix RTL support (point #1) CCBUGS: 376438


2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/main/digikamapp.cpp: fix i18np (point #5) CCBUGS: 376438


2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/utilities/geolocation/geoiface/correlator/gpscorrelatorwidget.
	cpp: Fix i18np (point #2) CCBUGS: 376438

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/views/stack/welcomepageview.cpp,
	core/data/about/main.html: add missing i18n from Welcome page view,
	Background image section CCBUGS: 376438

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-09  l10n daemon script <scripty@kde.org>

	*
	core/dplugins/generic/tools/htmlgallery/themes/dateframes/dateframe
	s.desktop: SVN_SILENT made messages (.desktop file) - always resolve
	ours  In case of conflict in i18n, keep the version of the branch
	"ours" To resolve a particular conflict, "git checkout --ours
	path/to/file.desktop"

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/main/digikamapp.cpp,
	core/app/main/digikamapp_config.cpp, core/app/main/main.cpp,
	core/showfoto/main/main.cpp, core/showfoto/main/showfoto.cpp,
	core/showfoto/main/showfoto.h,
	core/showfoto/main/showfoto_config.cpp,
	core/showfoto/main/showfoto_setup.cpp: try to fix icon color problem


2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/searchwindow/searchtabheader.cpp: prevent get wrong
	keyword search text

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/searchwindow/searchtabheader.cpp: default no auto
	start search

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* core/utilities/searchwindow/searchtabheader.cpp,
	core/utilities/searchwindow/searchtabheader.h: function already
	exist and do not start empty keyword search

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/utilities/searchwindow/searchtabheader.cpp,
	core/utilities/searchwindow/searchtabheader.h: separate buttons for
	new and edit Advanced Search BUGS: 408788 BUGS: 431774 FIXED-IN:
	7.5.0

2022-01-08  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/database/tags/facetags.cpp: fix get most used
	people parent tag BUGS: 448071 BUGS: 395501 FIXED-IN: 7.5.0

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/3rdparty/ext_qtav/CMakeLists.txt: compile QtAv
	under MXE with CMake now

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: bug triage

2022-01-08  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/database/models/itemfiltersettings.cpp,
	core/libs/filters/mimefilter.cpp, core/libs/filters/mimefilter.h: 
	add JPEG 2000 in type mime filters

